<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */
// @codingStandardsIgnoreFile

$specialPageAliases = array();

/** English (English) */
$specialPageAliases['en'] = array(
	'Book' => array( 'Book', 'Collection' ),
);

/** Afrikaans (Afrikaans) */
$specialPageAliases['af'] = array(
	'Book' => array( 'Boek', 'Versameling' ),
);

/** Arabic (العربية) */
$specialPageAliases['ar'] = array(
	'Book' => array( 'كتاب', 'مجموعة' ),
);

/** Egyptian Spoken Arabic (مصرى) */
$specialPageAliases['arz'] = array(
	'Book' => array( 'كتاب', 'مجموعه' ),
);

/** Assamese (অসমীয়া) */
$specialPageAliases['as'] = array(
	'Book' => array( 'সংগ্ৰহ', 'গ্ৰন্থ' ),
);

/** Bashkir (башҡортса) */
$specialPageAliases['ba'] = array(
	'Book' => array( 'Collection' ),
);

/** Banjar (Bahasa Banjar) */
$specialPageAliases['bjn'] = array(
	'Book' => array( 'Buku' ),
);

/** Breton (brezhoneg) */
$specialPageAliases['br'] = array(
	'Book' => array( 'Dastumad' ),
);

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = array(
	'Book' => array( 'Kolekcija' ),
);

/** буряад (буряад) */
$specialPageAliases['bxr'] = array(
	'Book' => array( 'Ном', 'Суглуулбари' ),
);

/** Catalan (català) */
$specialPageAliases['ca'] = array(
	'Book' => array( 'Llibre', 'Col·lecció' ),
);

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄) */
$specialPageAliases['cdo'] = array(
	'Book' => array( '書' ),
);

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = array(
	'Book' => array( 'Жайнаш_гулдар' ),
);

/** Czech (čeština) */
$specialPageAliases['cs'] = array(
	'Book' => array( 'Kniha', 'Kolekce' ),
);

/** Danish (dansk) */
$specialPageAliases['da'] = array(
	'Book' => array( 'Bog', 'Samling' ),
);

/** German (Deutsch) */
$specialPageAliases['de'] = array(
	'Book' => array( 'Buch', 'Sammlung' ),
);

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = array(
	'Book' => array( 'Kıtabe', 'Qoleksiyon' ),
);

/** Lower Sorbian (dolnoserbski) */
$specialPageAliases['dsb'] = array(
	'Book' => array( 'Knigły', 'Zběrka' ),
);

/** Greek (Ελληνικά) */
$specialPageAliases['el'] = array(
	'Book' => array( 'Συλλογή' ),
);

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = array(
	'Book' => array( 'Libro' ),
);

/** Spanish (español) */
$specialPageAliases['es'] = array(
	'Book' => array( 'Libro', 'Libros', 'Colección', 'Colecciones' ),
);

/** Estonian (eesti) */
$specialPageAliases['et'] = array(
	'Book' => array( 'Raamat' ),
);

/** Persian (فارسی) */
$specialPageAliases['fa'] = array(
	'Book' => array( 'کتاب' ),
);

/** Finnish (suomi) */
$specialPageAliases['fi'] = array(
	'Book' => array( 'Kirja', 'Kokoelma' ),
);

/** French (français) */
$specialPageAliases['fr'] = array(
	'Book' => array( 'Livre' ),
);

/** Franco-Provençal (arpetan) */
$specialPageAliases['frp'] = array(
	'Book' => array( 'Lévro', 'Colèccion' ),
);

/** Gagauz (Gagauz) */
$specialPageAliases['gag'] = array(
	'Book' => array( 'Kiyat' ),
);

/** Galician (galego) */
$specialPageAliases['gl'] = array(
	'Book' => array( 'Libro', 'Colección' ),
);

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = array(
	'Book' => array( 'Sammlig' ),
);

/** Gujarati (ગુજરાતી) */
$specialPageAliases['gu'] = array(
	'Book' => array( 'પુસ્તક', 'સંગ્રહ' ),
);

/** Hawaiian (Hawai`i) */
$specialPageAliases['haw'] = array(
	'Book' => array( 'Puke', 'Waihona' ),
);

/** Hebrew (עברית) */
$specialPageAliases['he'] = array(
	'Book' => array( 'ספר', 'אוסף' ),
);

/** Hindi (हिन्दी) */
$specialPageAliases['hi'] = array(
	'Book' => array( 'पुस्तक', 'किताब' ),
);

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = array(
	'Book' => array( 'Zbirka' ),
);

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = array(
	'Book' => array( 'Kniha', 'Zběrka' ),
);

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = array(
	'Book' => array( 'Liv', 'Koleksyon' ),
);

/** Hungarian (magyar) */
$specialPageAliases['hu'] = array(
	'Book' => array( 'Könyv', 'Könyvek', 'Gyűjtemény', 'Gyűjtemények' ),
);

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = array(
	'Book' => array( 'Libro' ),
);

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = array(
	'Book' => array( 'Buku', 'Koleksi' ),
);

/** Igbo (Igbo) */
$specialPageAliases['ig'] = array(
	'Book' => array( 'Ákwúkwú', 'Njikọtá_édé' ),
);

/** Ido (Ido) */
$specialPageAliases['io'] = array(
	'Book' => array( 'Libro' ),
);

/** Italian (italiano) */
$specialPageAliases['it'] = array(
	'Book' => array( 'Libro', 'Raccolta', 'Collezione' ),
);

/** Japanese (日本語) */
$specialPageAliases['ja'] = array(
	'Book' => array( 'ブック', 'コレクション' ),
);

/** Georgian (ქართული) */
$specialPageAliases['ka'] = array(
	'Book' => array( 'წიგნი' ),
);

/** Khmer (ភាសាខ្មែរ) */
$specialPageAliases['km'] = array(
	'Book' => array( 'ការចងក្រង' ),
);

/** Korean (한국어) */
$specialPageAliases['ko'] = array(
	'Book' => array( '책', '모음' ),
);

/** Colognian (Ripoarisch) */
$specialPageAliases['ksh'] = array(
	'Book' => array( 'Booch_sammelle', 'Sammlong', 'Sigge_sammelle' ),
);

/** Cornish (kernowek) */
$specialPageAliases['kw'] = array(
	'Book' => array( 'Lyver' ),
);

/** Ladino (Ladino) */
$specialPageAliases['lad'] = array(
	'Book' => array( 'Libro' ),
);

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = array(
	'Book' => array( 'Buch', 'Sammlung' ),
);

/** Malagasy (Malagasy) */
$specialPageAliases['mg'] = array(
	'Book' => array( 'Boky' ),
);

/** Macedonian (македонски) */
$specialPageAliases['mk'] = array(
	'Book' => array( 'Книга', 'Збирка' ),
);

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = array(
	'Book' => array( 'പുസ്തകം', 'ശേഖരം' ),
);

/** Marathi (मराठी) */
$specialPageAliases['mr'] = array(
	'Book' => array( 'पुस्तक', 'संचयन' ),
);

/** Malay (Bahasa Melayu) */
$specialPageAliases['ms'] = array(
	'Book' => array( 'Buku' ),
);

/** Maltese (Malti) */
$specialPageAliases['mt'] = array(
	'Book' => array( 'Ktieb', 'Kollezzjoni' ),
);

/** Erzya (эрзянь) */
$specialPageAliases['myv'] = array(
	'Book' => array( 'Ставкс' ),
);

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = array(
	'Book' => array( 'Bok', 'Samling' ),
);

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = array(
	'Book' => array( 'Verzameling' ),
);

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = array(
	'Book' => array( 'Boek', 'Collectie', 'Verzameling' ),
);

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = array(
	'Book' => array( 'Bok' ),
);

/** Occitan (occitan) */
$specialPageAliases['oc'] = array(
	'Book' => array( 'Libre' ),
);

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = array(
	'Book' => array( 'ਕਿਤਾਬ', 'ਇਕੱਠ' ),
);

/** Polish (polski) */
$specialPageAliases['pl'] = array(
	'Book' => array( 'Książka', 'Kolekcja' ),
);

/** Portuguese (português) */
$specialPageAliases['pt'] = array(
	'Book' => array( 'Livro', 'Colecção' ),
);

/** Brazilian Portuguese (português do Brasil) */
$specialPageAliases['pt-br'] = array(
	'Book' => array( 'Coleção', 'Colecção' ),
);

/** Quechua (Runa Simi) */
$specialPageAliases['qu'] = array(
	'Book' => array( 'Liwru', 'Qillqamaytu' ),
);

/** Romanian (română) */
$specialPageAliases['ro'] = array(
	'Book' => array( 'Carte', 'Colecție' ),
);

/** Russian (русский) */
$specialPageAliases['ru'] = array(
	'Book' => array( 'Коллекция_книг', 'Книга' ),
);

/** Sanskrit (संस्कृतम्) */
$specialPageAliases['sa'] = array(
	'Book' => array( 'समुच्यय' ),
);

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = array(
	'Book' => array( 'Libro', 'Raccolta', 'Collezione' ),
);

/** Slovak (slovenčina) */
$specialPageAliases['sk'] = array(
	'Book' => array( 'Knihy', 'Kolekcia' ),
);

/** Albanian (shqip) */
$specialPageAliases['sq'] = array(
	'Book' => array( 'Libra', 'Koleksion' ),
);

/** Serbian (Cyrillic script) (српски (ћирилица)‎) */
$specialPageAliases['sr-ec'] = array(
	'Book' => array( 'Књига' ),
);

/** Swedish (svenska) */
$specialPageAliases['sv'] = array(
	'Book' => array( 'Bok', 'Samling' ),
);

/** Swahili (Kiswahili) */
$specialPageAliases['sw'] = array(
	'Book' => array( 'Kusanya' ),
);

/** Telugu (తెలుగు) */
$specialPageAliases['te'] = array(
	'Book' => array( 'సేకరణ', 'పుస్తకం' ),
);

/** Thai (ไทย) */
$specialPageAliases['th'] = array(
	'Book' => array( 'หนังสือ' ),
);

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = array(
	'Book' => array( 'Aklat', 'Kalipunan' ),
);

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = array(
	'Book' => array( 'Kitap', 'Koleksiyon', 'Toplama' ),
);

/** Tatar (Cyrillic script) (татарча) */
$specialPageAliases['tt-cyrl'] = array(
	'Book' => array( 'Китап' ),
);

/** Ukrainian (українська) */
$specialPageAliases['uk'] = array(
	'Book' => array( 'Книга', 'Колекція_книг' ),
);

/** Urdu (اردو) */
$specialPageAliases['ur'] = array(
	'Book' => array( 'کتاب', 'انتخاب' ),
);

/** vèneto (vèneto) */
$specialPageAliases['vec'] = array(
	'Book' => array( 'Libro' ),
);

/** Veps (vepsän kel’) */
$specialPageAliases['vep'] = array(
	'Book' => array( 'Kirj' ),
);

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = array(
	'Book' => array( 'Sách' ),
);

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = array(
	'Book' => array( '图书' ),
);

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = array(
	'Book' => array( '書籍' ),
);