<?php
/**
 * Names for special pages
 *
 * @file
 * @ingroup Extensions
 */

global $proofreadPageNamespacesNames; //needed in order to be used inside of ProofreadPageInit
$proofreadPageNamespacesNames = array();

/** English (English) */
$proofreadPageNamespacesNames['en'] = array(
	'page' => 'Page',
	'page_talk' => 'Page_talk',
	'index' => 'Index',
	'index_talk' => 'Index_talk'
);

/** Arabic (العربية) */
$proofreadPageNamespacesNames['ar'] = array(
	'page' => 'صفحة',
	'page_talk' => 'نقاش_الصفحة',
	'index' => 'فهرس',
	'index_talk' => 'نقاش_الفهرس'
);

/** Assamese (অসমীয়া) */
$proofreadPageNamespacesNames['as'] = array(
	'page' => 'পৃষ্ঠা',
	'page_talk' => 'পৃষ্ঠা_আলোচনা',
	'index' => 'সূচী',
	'index_talk' => 'সূচী_আলোচনা'
);

/** Belarusian (беларуская) */
$proofreadPageNamespacesNames['be'] = array(
	'page' => 'Старонка',
	'page_talk' => 'Размовы_пра_старонку',
	'index' => 'Індэкс',
	'index_talk' => 'Размовы_пра_індэкс'
);

/** Bengali (বাংলা) */
$proofreadPageNamespacesNames['bn'] = array(
	'page' => 'পাতা',
	'page_talk' => 'পাতা_আলাপ',
	'index' => 'নির্ঘণ্ট',
	'index_talk' => 'নির্ঘণ্ট_আলাপ'
);

/** Breton (brezhoneg) */
$proofreadPageNamespacesNames['br'] = array(
	'page' => 'Pajenn',
	'page_talk' => 'Kaozeadenn_pajenn',
	'index' => 'Meneger',
	'index_talk' => 'Kaozeadenn_meneger'
);

/** Catalan (català) */
$proofreadPageNamespacesNames['ca'] = array(
	'page' => 'Pàgina',
	'page_talk' => 'Pàgina_Discussió',
	'index' => 'Llibre',
	'index_talk' => 'Llibre_Discussió'
);

/** Czech (česky) */
$proofreadPageNamespacesNames['cs'] = array(
	'page' => 'Stránka',
	'page_talk' => 'Diskuse_ke_stránce',
	'index' => 'Index',
	'index_talk' => 'Diskuse_k_indexu'
);

/** Welsh (Cymraeg) */
$proofreadPageNamespacesNames['cy'] = array(
	'page' => 'Tudalen',
	'page_talk' => 'Sgwrs_Tudalen',
	'index' => 'Indecs',
	'index_talk' => 'Sgwrs_Indecs'
);

/** Danish (dansk) */
$proofreadPageNamespacesNames['da'] = array(
	'page' => 'Side',
	'page_talk' => 'Sidediskussion',
	'index' => 'Indeks',
	'index_talk' => 'Indeksdiskussion'
);

/** German (Deutsch) */
$proofreadPageNamespacesNames['de'] = array(
	'page' => 'Seite',
	'page_talk' => 'Seite_Diskussion',
	'index' => 'Index',
	'index_talk' => 'Index_Diskussion'
);

/** Greek (Ελληνικά) */
$proofreadPageNamespacesNames['el'] = array(
	'page' => 'Σελίδα',
	'page_talk' => 'Συζήτηση_σελίδας',
	'index' => 'Βιβλίο',
	'index_talk' => 'Συζήτηση_βιβλίου'
);

/** Esperanto (Esperanto) */
$proofreadPageNamespacesNames['eo'] = array(
	'page' => 'Paĝo',
	'page_talk' => 'Paĝo-Diskuto',
	'index' => 'Indekso',
	'index_talk' => 'Indekso-Diskuto'
);

/** Spanish (español) */
$proofreadPageNamespacesNames['es'] = array(
	'page' => 'Página',
	'page_talk' => 'Página_Discusión',
	'index' => 'Índice',
	'index_talk' => 'Índice_Discusión'
);

/** Estonian (eesti) */
$proofreadPageNamespacesNames['et'] = array(
	'page' => 'Lehekülg',
	'page_talk' => 'Lehekülje_arutelu',
	'index' => 'Register',
	'index_talk' => 'Registri_arutelu'
);

/** Persian (فارسی) */
$proofreadPageNamespacesNames['fa'] = array(
	'page' => 'برگه',
	'page_talk' => 'گفتگوی برگه',
	'index' => 'فهرست',
	'index_talk' => 'گفتگوی_فهرست'
);

/** Finnish (suomi) */
$proofreadPageNamespacesNames['fi'] = array(
	'page' => 'Sivu',
	'page_talk' => 'Keskustelu_sivusta',
	'index' => 'Hakemisto',
	'index_talk' => 'Keskustelu_hakemistosta'
);

/** French (Français) */
$proofreadPageNamespacesNames['fr'] = array(
	'page' => 'Page',
	'page_talk' => 'Discussion_Page',
	'index' => 'Livre',
	'index_talk' => 'Discussion_Livre'
);

/** Northern Frisian (Nordfriisk) */
$proofreadPageNamespacesNames['frr'] = array(
	'page' => 'Seite',
	'page_talk' => 'Seite_Diskussion',
	'index' => 'Index',
	'index_talk' => 'Index_Diskussion'
);

/** Gujarati (ગુજરાતી) */
$proofreadPageNamespacesNames['gu'] = array(
	'page' => 'પૃષ્ઠ',
	'page_talk' => 'પૃષ્ઠ_ચર્ચા',
	'index' => 'સૂચિ',
	'index_talk' => 'સૂચિ_ચર્ચા'
);

/** Hebrew (עברית) */
$proofreadPageNamespacesNames['he'] = array(
	'page' => 'עמוד',
	'page_talk' => 'שיחת_עמוד',
	'index' => 'מפתח',
	'index_talk' => 'שיחת_מפתח'
);

/** Croatian (hrvatski) */
$proofreadPageNamespacesNames['hr'] = array(
	'page' => 'Stranica',
	'page_talk' => 'Razgovor_o_stranici',
	'index' => 'Sadržaj',
	'index_talk' => 'Razgovor_o_sadržaju'
);

/** Hungarian (magyar) */
$proofreadPageNamespacesNames['hu'] = array(
	'page' => 'Oldal',
	'page_talk' => 'Oldal_vita',
	'index' => 'Index',
	'index_talk' => 'Index_vita'
);

/** Armenian (Հայերեն) */
$proofreadPageNamespacesNames['hy'] = array(
	'page' => 'Էջ',
	'page_talk' => 'Էջի_քննարկում',
	'index' => 'Ինդեքս',
	'index_talk' => 'Ինդեքսի_քննարկում'
);

/** Indonesian (Bahasa Indonesia) */
$proofreadPageNamespacesNames['id'] = array(
	'page' => 'Halaman',
	'page_talk' => 'Pembicaraan_Halaman',
	'index' => 'Indeks',
	'index_talk' => 'Pembicaraan_Indeks'
);

/** Icelandic (íslenska) */
$proofreadPageNamespacesNames['is'] = array(
	'page' => 'Blaðsíða',
	'page_talk' => 'Blaðsíðuspjall',
	'index' => 'Frumrit',
	'index_talk' => 'Frumritsspjall'
);

/** Italian (italiano) */
$proofreadPageNamespacesNames['it'] = array(
	'page' => 'Pagina',
	'page_talk' => 'Discussioni_pagina',
	'index' => 'Indice',
	'index_talk' => 'Discussioni_indice'
);


/** Kannada (ಕನ್ನಡ) */
$proofreadPageNamespacesNames['kn'] = array(
	'page' => 'ಪುಟ',
	'page_talk' => 'ಪುಟ_ಚರ್ಚೆ',
	'index' => 'ಪರಿವಿಡಿ',
	'index_talk' =>  'ಪರಿವಿಡಿ_ಚರ್ಚೆ'
);

/** Latin (Latina) */
$proofreadPageNamespacesNames['la'] = array(
	'page' => 'Pagina',
	'page_talk' => 'Disputatio_Paginae',
	'index' => 'Liber',
	'index_talk' => 'Disputatio_Libri'
);

/** Malayalam (മലയാളം) */
$proofreadPageNamespacesNames['ml'] = array(
	'page' => 'താൾ',
	'page_talk' => 'താളിന്റെ_സംവാദം',
	'index' => 'സൂചിക',
	'index_talk' =>  'സൂചികയുടെ_സംവാദം'
);

/** Marathi (मराठी) */
$proofreadPageNamespacesNames['mr'] = array(
	'page' => 'पान',
	'page_talk' => 'पान_चर्चा',
	'index' => 'अनुक्रमणिका',
	'index_talk' =>  'अनुक्रमणिका_चर्चा'
);

/** Dutch (Nederlands) */
$proofreadPageNamespacesNames['nl'] = array(
	'page' => 'Pagina',
	'page_talk' => 'Overleg_pagina',
	'index' => 'Index',
	'index_talk' => 'Overleg_index'
);

/** Norwegian (bokmål)‬ (‪norsk (bokmål)‬) */
$proofreadPageNamespacesNames['no'] = array(
	'page' => 'Side',
	'page_talk' => 'Sidediskusjon',
	'index' => 'Indeks',
	'index_talk' => 'Indeksdiskusjon'
);

/** Polish (polski) */
$proofreadPageNamespacesNames['pl'] = array(
	'page' => 'Strona',
	'page_talk' => 'Dyskusja_strony',
	'index' => 'Indeks',
	'index_talk' => 'Dyskusja_indeksu'
);

/** Portuguese (português) */
$proofreadPageNamespacesNames['pt'] = array(
	'page' => 'Página',
	'page_talk' => 'Página_Discussão',
	'index' => 'Galeria',
	'index_talk' => 'Galeria_Discussão'
);

/** Romanian (română) */
$proofreadPageNamespacesNames['ro'] = array(
	'page' => 'Pagină',
	'page_talk' => 'Discuție_Pagină',
	'index' => 'Index',
	'index_talk' =>  'Discuție_Index'
);

/** Russian (русский) */
$proofreadPageNamespacesNames['ru'] = array(
	'page' => 'Страница',
	'page_talk' => 'Обсуждение_страницы',
	'index' => 'Индекс',
	'index_talk' => 'Обсуждение_индекса'
);

/** Sanskrit (संस्कृतम्) */
$proofreadPageNamespacesNames['sa'] = array(
	'page' => 'पुटम्',
	'page_talk' => 'पुटसंवाद',
	'index' => 'अनुक्रमणिका',
	'index_talk' => 'अनुक्रमणिकासंवाद'
);

/** Slovenian (slovenščina) */
$proofreadPageNamespacesNames['sl'] = array(
	'page' => 'Stran',
	'page_talk' => 'Pogovor_o_strani',
	'index' => 'Kazalo',
	'index_talk' => 'Pogovor_o_kazalu'
);

/** Swedish (svenska) */
$proofreadPageNamespacesNames['sv'] = array(
	'page' => 'Sida',
	'page_talk' => 'Siddiskussion',
	'index' => 'Index',
	'index_talk' => 'Indexdiskussion'
);

/** Telugu (తెలుగు) */
$proofreadPageNamespacesNames['te'] = array(
	'page' => 'పుట',
	'page_talk' => 'పుట_చర్చ',
	'index' => 'సూచిక',
	'index_talk' => 'సూచిక_చర్చ'
);

/** Thai (ไทย) */
$proofreadPageNamespacesNames['th'] = array(
	'page' => 'หน้า',
	'page_talk' => 'คุยเรื่องหน้า',
	'index' => 'ดัชนี',
	'index_talk' => 'คุยเรื่องดัชนี'
);

/** Ukrainian (украї́нська) */
$proofreadPageNamespacesNames['uk'] = array(
	'page' => 'Сторінка',
	'page_talk' => 'Обговорення_сторінки',
	'index' => 'Індекс',
	'index_talk' => 'Обговорення_індексу',
);

/** vèneto (vèneto) */
$proofreadPageNamespacesNames['vec'] = array(
	'page' => 'Pagina',
	'page_talk' => 'Discussion_pagina',
	'index' => 'Indice',
	'index_talk' => 'Discussion_indice'
);

/** Vietnamese (Tiếng Việt) */
$proofreadPageNamespacesNames['vi'] = array(
	'page' => 'Trang',
	'page_talk' => 'Thảo_luận_Trang',
	'index' => 'Mục_lục',
	'index_talk' => 'Thảo_luận_Mục_lục'
);
