<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */
// @codingStandardsIgnoreFile

$specialPageAliases = array();

/** English (English) */
$specialPageAliases['en'] = array(
	'Hieroglyphs' => array( 'Hieroglyphs' ),
);

/** Arabic (العربية) */
$specialPageAliases['ar'] = array(
	'Hieroglyphs' => array( 'هيروغليفي' ),
);

/** Egyptian Spoken Arabic (مصرى) */
$specialPageAliases['arz'] = array(
	'Hieroglyphs' => array( 'هيروغليفى' ),
);

/** Asturian (asturianu) */
$specialPageAliases['ast'] = array(
	'Hieroglyphs' => array( 'Xeroglíficos' ),
);

/** Bulgarian (български) */
$specialPageAliases['bg'] = array(
	'Hieroglyphs' => array( 'Йероглифи' ),
);

/** буряад (буряад) */
$specialPageAliases['bxr'] = array(
	'Hieroglyphs' => array( 'Дүрсэ_үзэг' ),
);

/** Catalan (català) */
$specialPageAliases['ca'] = array(
	'Hieroglyphs' => array( 'Jeroglífics' ),
);

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = array(
	'Hieroglyphs' => array( 'Иероглифаш' ),
);

/** Church Slavic (словѣньскъ / ⰔⰎⰑⰂⰡⰐⰠⰔⰍⰟ) */
$specialPageAliases['cu'] = array(
	'Hieroglyphs' => array( 'Їєроглѷфꙑ' ),
);

/** Danish (dansk) */
$specialPageAliases['da'] = array(
	'Hieroglyphs' => array( 'Hieroglyffer' ),
);

/** German (Deutsch) */
$specialPageAliases['de'] = array(
	'Hieroglyphs' => array( 'Hieroglyphen' ),
);

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = array(
	'Hieroglyphs' => array( 'Hiyeroglifi' ),
);

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = array(
	'Hieroglyphs' => array( 'Hieroglifoj' ),
);

/** Spanish (español) */
$specialPageAliases['es'] = array(
	'Hieroglyphs' => array( 'Jeroglíficos' ),
);

/** Estonian (eesti) */
$specialPageAliases['et'] = array(
	'Hieroglyphs' => array( 'Hieroglüüfid' ),
);

/** Persian (فارسی) */
$specialPageAliases['fa'] = array(
	'Hieroglyphs' => array( 'هیروگلیف‌ها' ),
);

/** Galician (galego) */
$specialPageAliases['gl'] = array(
	'Hieroglyphs' => array( 'Xeróglifos' ),
);

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = array(
	'Hieroglyphs' => array( 'Hieroglyphe' ),
);

/** Hebrew (עברית) */
$specialPageAliases['he'] = array(
	'Hieroglyphs' => array( 'סימון_היירוגליפים' ),
);

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = array(
	'Hieroglyphs' => array( 'Hieroglyfy' ),
);

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = array(
	'Hieroglyphs' => array( 'Hieroglyphos' ),
);

/** Italian (italiano) */
$specialPageAliases['it'] = array(
	'Hieroglyphs' => array( 'Geroglifici' ),
);

/** Japanese (日本語) */
$specialPageAliases['ja'] = array(
	'Hieroglyphs' => array( 'ヒエログリフ' ),
);

/** Georgian (ქართული) */
$specialPageAliases['ka'] = array(
	'Hieroglyphs' => array( 'იეროგლიფები' ),
);

/** Korean (한국어) */
$specialPageAliases['ko'] = array(
	'Hieroglyphs' => array( '상형문자', '히에로글리프' ),
);

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = array(
	'Hieroglyphs' => array( 'Hieroglyphen' ),
);

/** Minangkabau (Baso Minangkabau) */
$specialPageAliases['min'] = array(
	'Hieroglyphs' => array( 'Heroglip' ),
);

/** Macedonian (македонски) */
$specialPageAliases['mk'] = array(
	'Hieroglyphs' => array( 'Хиероглифи' ),
);

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = array(
	'Hieroglyphs' => array( 'ഹൈറോഗ്ലിഫ്സ്' ),
);

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = array(
	'Hieroglyphs' => array( 'Hieroglyfer' ),
);

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = array(
	'Hieroglyphs' => array( 'Hierogliefen' ),
);

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = array(
	'Hieroglyphs' => array( 'Hieroglyfar' ),
);

/** Polish (polski) */
$specialPageAliases['pl'] = array(
	'Hieroglyphs' => array( 'Hiertoglify' ),
);

/** Russian (русский) */
$specialPageAliases['ru'] = array(
	'Hieroglyphs' => array( 'Иероглифы' ),
);

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = array(
	'Hieroglyphs' => array( 'Geroglifici' ),
);

/** Northern Sami (sámegiella) */
$specialPageAliases['se'] = array(
	'Hieroglyphs' => array( 'Hieroglyfat' ),
);

/** Swedish (svenska) */
$specialPageAliases['sv'] = array(
	'Hieroglyphs' => array( 'Hieroglyfer' ),
);

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = array(
	'Hieroglyphs' => array( 'Hiyeroglifler' ),
);

/** Tuvinian (тыва дыл) */
$specialPageAliases['tyv'] = array(
	'Hieroglyphs' => array( 'Иероглифтер' ),
);

/** Ukrainian (українська) */
$specialPageAliases['uk'] = array(
	'Hieroglyphs' => array( 'Ієрогліфи' ),
);

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = array(
	'Hieroglyphs' => array( 'Chữ_tượng_hình' ),
);

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = array(
	'Hieroglyphs' => array( '象形文字' ),
);

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = array(
	'Hieroglyphs' => array( '象形文字' ),
);